# Uses of Class
com.logicaldoc.core.metadata.validation.ValidationException

Packages that use ValidationException
Package
Description
com.logicaldoc.core.metadata.validation
Package that contains classes used to validate extensible objects metadata, `ExtensibleObject`.

## Uses of ValidationException in com.logicaldoc.core.metadata.validation

Methods in com.logicaldoc.core.metadata.validation that throw ValidationException
Modifier and Type
Method
Description
`void`
Validator.`validate(ExtensibleObject object, Template template, History transaction)`
Validates an object instance taking the validation logic from a given template